/*---------------------------------
	margin start
---------------------------------*/
.margin--bottom0{
	margin-bottom: 0 !important;
}

.margin--bottom1{
	margin-bottom: 1rem !important;
}

.margin--bottom2{
	margin-bottom: 2rem !important;
}

.margin--bottom3{
	margin-bottom: 3rem !important;
}

.margin--bottom4{
	margin-bottom: 4rem !important;
}

.margin--bottom5{
	margin-bottom: 5rem !important;
}

.margin--bottom10{
	margin-bottom: 10rem !important;
}

@media(max-width: 1024px){
	.margin--tbBottom0{
		margin-bottom: 0 !important;
	}

	.margin--tbBottom1{
		margin-bottom: 1rem !important;
	}

	.margin--tbBottom2{
		margin-bottom: 2rem !important;
	}

	.margin--tbBottom3{
		margin-bottom: 3rem !important;
	}

	.margin--tbBottom4{
		margin-bottom: 4rem !important;
	}

	.margin--tbBottom5{
		margin-bottom: 5rem !important;
	}
}

@media(max-width: 600px){
	.margin--spBottom0{
		margin-bottom: 0 !important;
	}

	.margin--spBottom1{
		margin-bottom: 1rem !important;
	}

	.margin--spBottom2{
		margin-bottom: 2rem !important;
	}

	.margin--spBottom3{
		margin-bottom: 3rem !important;
	}

	.margin--spBottom4{
		margin-bottom: 4rem !important;
	}

	.margin--spBottom5{
		margin-bottom: 5rem !important;
	}
}

.margin--top0{
	margin-top: 0 !important;
}

.margin--top1{
	margin-top: 1rem !important;
}

.margin--top2{
	margin-top: 2rem !important;
}

.margin--top3{
	margin-top: 3rem !important;
}

.margin--top4{
	margin-top: 4rem !important;
}

.margin--top5{
	margin-top: 5rem !important;
}

@media(max-width: 1024px) and (min-width: 601px){
	.margin--tbTop0{
		margin-top: 0 !important;
	}

	.margin--tbTop1{
		margin-top: 1rem !important;
	}

	.margin--tbTop2{
		margin-top: 2rem !important;
	}

	.margin--tbTop3{
		margin-top: 3rem !important;
	}

	.margin--tbTop4{
		margin-top: 4rem !important;
	}

	.margin--tbTop5{
		margin-top: 5rem !important;
	}
}

@media(max-width: 750px){
	.margin--spTop0{
		margin-top: 0 !important;
	}

	.margin--spTop1{
		margin-top: 1rem !important;
	}

	.margin--spTop2{
		margin-top: 2rem !important;
	}

	.margin--spTop3{
		margin-top: 3rem !important;
	}

	.margin--spTop4{
		margin-top: 4rem !important;
	}

	.margin--spTop5{
		margin-top: 5rem !important;
	}
}

/*---------------------------------
	margin end
---------------------------------*/
/*---------------------------------
	padding start
---------------------------------*/
.padding--bottom0{
	padding-bottom: 0 !important;
}

.padding--bottom1{
	padding-bottom: 1rem !important;
}

.padding--bottom2{
	padding-bottom: 2rem !important;
}

.padding--bottom3{
	padding-bottom: 3rem !important;
}

.padding--bottom4{
	padding-bottom: 4rem !important;
}

.padding--bottom5{
	padding-bottom: 5rem !important;
}

.padding--bottom10{
	padding-bottom: 10rem !important;
}

@media(max-width: 1024px){
	.padding--tbBottom0{
		padding-bottom: 0 !important;
	}

	.padding--tbBottom1{
		padding-bottom: 1rem !important;
	}

	.padding--tbBottom2{
		padding-bottom: 2rem !important;
	}

	.padding--tbBottom3{
		padding-bottom: 3rem !important;
	}

	.padding--tbBottom4{
		padding-bottom: 4rem !important;
	}

	.padding--tbBottom5{
		padding-bottom: 5rem !important;
	}
}

@media(max-width: 600px){
	.padding--spBottom0{
		padding-bottom: 0 !important;
	}

	.padding--spBottom1{
		padding-bottom: 1rem !important;
	}

	.padding--spBottom2{
		padding-bottom: 2rem !important;
	}

	.padding--spBottom3{
		padding-bottom: 3rem !important;
	}

	.padding--spBottom4{
		padding-bottom: 4rem !important;
	}

	.padding--spBottom5{
		padding-bottom: 5rem !important;
	}
}

.padding--top0{
	padding-top: 0 !important;
}

.padding--top1{
	padding-top: 1rem !important;
}

.padding--top2{
	padding-top: 2rem !important;
}

.padding--top3{
	padding-top: 3rem !important;
}

.padding--top4{
	padding-top: 4rem !important;
}

.padding--top5{
	padding-top: 5rem !important;
}

@media(max-width: 1024px) and (min-width: 601px){
	.padding--tbTop0{
		padding-top: 0 !important;
	}

	.padding--tbTop1{
		padding-top: 1rem !important;
	}

	.padding--tbTop2{
		padding-top: 2rem !important;
	}

	.padding--tbTop3{
		padding-top: 3rem !important;
	}

	.padding--tbTop4{
		padding-top: 4rem !important;
	}

	.padding--tbTop5{
		padding-top: 5rem !important;
	}
}

@media(max-width: 600px){
	.padding--spTop0{
		padding-top: 0 !important;
	}

	.padding--spTop1{
		padding-top: 1rem !important;
	}

	.padding--spTop2{
		padding-top: 2rem !important;
	}

	.padding--spTop3{
		padding-top: 3rem !important;
	}

	.padding--spTop4{
		padding-top: 4rem !important;
	}

	.padding--spTop5{
		padding-top: 5rem !important;
	}
}

/*---------------------------------
	padding end
---------------------------------*/

/*---------------------------------
	texts start
---------------------------------*/
.texts--alignCenter,
.texts_text--alignCenter{
	text-align: center;
}

.texts--alignRight,
.texts_text--alignRight{
	text-align: right;
}

@media(min-width: 1025px){
	.texts--pcAlignCenter,
	.texts_text--pcAlignCenter{
		text-align: center;
	}
}

.texts--size90{
	font-size: 90%;
}

.texts--size110{
	font-size: 110%;
}

.texts--size125{
	font-size: 125%;
}

.texts--size150{
	font-size: 150%;
}

.texts--size175{
	font-size: 175%;
}

.texts--size200{
	font-size: 200%;
}

.texts--size250{
	font-size: 250%;
}

@media(max-width: 600px){
	.texts--spSize100{
		font-size: 100%;
	}
	
	.texts--spSize110{
		font-size: 110%;
	}

	.texts--spSize125{
		font-size: 125%;
	}

	.texts--spSize150{
		font-size: 150%;
	}

	.texts--spSize175{
		font-size: 175%;
	}

	.texts--spSize200{
		font-size: 200%;
	}
}

.texts--weightBold,
.texts_text--weightBold{
	font-weight: var(--fontWeightBold);
}

.texts--lineHeight100,
.texts_text--lineHeight100{
	line-height: 100%;
}

.texts--lineHeight200,
.texts_text--lineHeight200{
	line-height: 200%;
}

.texts--indent1,
.texts_text--indent1{
	padding-left: 1em;
}

.texts--indent2,
.texts_text--indent2{
	padding-left: 2em;
}

.texts--colorBlack,
.texts_text--colorBlack{
	color: #333;
}

.texts--colorWarning,
.texts_text--colorWarning{
	color: #FF3333;
}

.texts_text--markerLine{
	display: inline;
	background: linear-gradient(transparent 70%, var(--markerlineColor) 70%, var(--markerlineColor) 100%, transparent 100%);
}

/*---------------------------------
	texts end
---------------------------------*/

/*---------------------------------
	responsive start
---------------------------------*/
@media(min-width: 1025px){
	.responsive--pcHidden{
		display: none;
	}
}

@media(max-width: 1024px) and (min-width: 751px){
	.responsive--tbHidden{
		display: none;
	}
}

@media(max-width: 750px){
	.responsive--spHidden{
		display: none;
	}
}

/*---------------------------------
	responsive end
---------------------------------*/

